Package org.eclipse.ecf.provider.generic

# Class SSLGenericContainerInstantiator.GenericContainerArgs

java.lang.Object
org.eclipse.ecf.provider.generic.SSLGenericContainerInstantiator.GenericContainerArgs

Enclosing class:
  SSLGenericContainerInstantiator

protected class SSLGenericContainerInstantiator.GenericContainerArgs extends Object

## Constructor Summary

Constructors
Constructor
Description
`GenericContainerArgs(ID id, Integer keepAlive)`
`GenericContainerArgs(ID id, Integer keepAlive, InetAddress bindAddress)`
`GenericContainerArgs(ID id, Integer keepAlive, InetAddress bindAddress, boolean wantClientAuth, boolean needClientAuth)`

## Method Summary

Modifier and Type
Method
Description
`InetAddress`
`getBindAddress()`
`boolean`
`getClientAuth()`
`ID`
`getID()`
`Integer`
`getKeepAlive()`
`boolean`
`getNeedClientAuth()`
`boolean`
`getWantClientAuth()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericContainerArgs

public GenericContainerArgs(ID id, Integer keepAlive)

### GenericContainerArgs

public GenericContainerArgs(ID id, Integer keepAlive, InetAddress bindAddress)

### GenericContainerArgs

public GenericContainerArgs(ID id, Integer keepAlive, InetAddress bindAddress, boolean wantClientAuth, boolean needClientAuth)

## Method Details

### getID

public ID getID()

### getKeepAlive

public Integer getKeepAlive()

### getBindAddress

public InetAddress getBindAddress()

Returns:
  InetAddress the bind address. May be `null`
Since:
  4.5

### getWantClientAuth

public boolean getWantClientAuth()

Returns:
  boolean true if wants client auth
Since:
  4.6

### getNeedClientAuth

public boolean getNeedClientAuth()

Returns:
  boolean true if needs client auth
Since:
  4.6

### getClientAuth

public boolean getClientAuth()

Returns:
  boolean retrieve whether client auth is needed or wanted
Since:
  4.6